# std::_Result_of_impl< false, _Functor()> Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Functor>
struct std::_Result_of_impl< false, _Functor()>

It is unsafe to access result when there are zero arguments, so we return `void` instead.

Definition at line 208 of file tr1_impl/functional.

## Public Types

- typedef void type

The documentation for this struct was generated from the following file:

- tr1_impl/functional